# fann_scale_train

(PECL fann >= 1.0.0)

fann_scale_train — Scale input and output data based on previously calculated parameters

### Description

fann_scale_train ( resource `$ann` , resource `$train_data` ) : bool

Scale input and output data based on previously calculated parameters.

### Parameters

`ann`

  Neural network resource.

`train_data`

  Neural network training data resource.

### Return Values

Returns `TRUE` on success, or `FALSE` otherwise.

### See Also

- fann_descale_train() - Descale input and output data based on previously calculated parameters
- fann_set_scaling_params() - Calculate input and output scaling parameters for future use based on training data